## Test Sftp Connection

### cURL

```bash
curl --request POST \
  --url https://flows.super.ai/api/integrations/sftp/test-connection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "host": "<string>",
  "username": "<string>",
  "password": "<string>",
  "port": 22,
  "private_key_data": "<string>",
  "private_key_passphrase": "<string>",
  "test_path": "/"
}
'```

### Python

```python
import requests

url = "https://flows.super.ai/api/integrations/sftp/test-connection"

payload = {
    "host": "<string>",
    "username": "<string>",
    "password": "<string>",
    "port": 22,
    "private_key_data": "<string>",
    "private_key_passphrase": "<string>",
    "test_path": "/"
}
headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {
    'X-API-Key': '<api-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    host: '<string>',
    username: '<string>',
    password: '<string>',
    port: 22,
    private_key_data: '<string>',
    private_key_passphrase: '<string>',
    test_path: '/' 
  })
};

fetch('https://flows.super.ai/api/integrations/sftp/test-connection', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://flows.super.ai/api/integrations/sftp/test-connection",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'host' => '<string>',
    'username' => '<string>',
    'password' => '<string>',
    'port' => 22,
    'private_key_data' => '<string>',
    'private_key_passphrase' => '<string>',
    'test_path' => '/' 
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://flows.super.ai/api/integrations/sftp/test-connection"

payload := strings.NewReader("{\n  \"host\": \"<string>\",\n  \"username\": \"<string>\",\n  \"password\": \"<string>\",\n  \"port\": 22,\n  \"private_key_data\": \"<string>\",\n  \"private_key_passphrase\": \"<string>\",\n  \"test_path\": \"/\"}\n")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```java
HttpResponse<String> response = Unirest.post("https://flows.super.ai/api/integrations/sftp/test-connection")
  .header("X-API-Key", "<api-key>")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"host\": \"<string>\",\n  \"username\": \"<string>\",\n  \"password\": \"<string>\",\n  \"port\": 22,\n  \"private_key_data\": \"<string>\",\n  \"private_key_passphrase\": \"<string>\",\n  \"test_path\": \"/\"}")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://flows.super.ai/api/integrations/sftp/test-connection")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"host\": \"<string>\",\n  \"username\": \"<string>\",\n  \"password\": \"<string>\",\n  \"port\": 22,\n  \"private_key_data\": \"<string>\",\n  \"private_key_passphrase\": \"<string>\",\n  \"test_path\": \"/\"}\"

response = http.request(request)
puts response.read_body
```

### Error Response

```json
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
```

### Authorizations

#### X-API-Key
- **Type**: `string`
- **Required**: Yes

API key authentication. Include your API key in the X-API-Key header as: `X-API-Key YOUR_API_KEY`

Example:
```text
X-API-Key: saf_1234567890
```

#### Authorization
- **Type**: `string`
- **Required**: Yes

JWT Bearer token authentication. Include your access token in the Authorization header as: `Bearer YOUR_ACCESS_TOKEN`

Example:
```text
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
```

### Body

#### Required Fields:
- **host**: SFTP server hostname or IP address.
- **username**: Username for SFTP authentication.
- **password**: Password for SFTP authentication (required for password auth).
- **port**: SFTP server port (default: 22).
- **private_key_data**: Private key content for SFTP authentication (required for key_file auth).
- **private_key_passphrase**: Passphrase for encrypted private key (optional).
- **test_path**: Directory path to test write access.
